Bug 116985 - up2date crash
up2date crash
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
:
Depends On:
Blocks: up2date-rhel3-u2
  Show dependency treegraph
 
Reported: 2004-02-26 21:54 EST by Brian DeFeyter
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-27 23:54:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian DeFeyter 2004-02-26 21:54:12 EST
Description of problem:
up2date crashes when running attempting an update:

Fetching package list for channel: rhel-i386-es-3...
########################################
 
Fetching Obsoletes list for channel: rhel-i386-es-3...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
libxml2                                 2.5.10         6             
     i386
libxml2-devel                           2.5.10         6             
     i386
 
 
Testing package set / solving RPM inter-dependencies...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1190, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 776, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1069, in batchRun
    batch.run()
  File "up2dateBatch.py", line 70, in run
  File "up2dateBatch.py", line 142, in __dryRun
  File "up2date.py", line 384, in dryRun
  File "depSolver.py", line 357, in setup
  File "depSolver.py", line 448, in __add
TypeError: 'in <string>' requires character as left operand


Version-Release number of selected component (if applicable):
up2date-4.2.5-1

How reproducible: every time


Steps to Reproduce:
1. up2date -u
2.
3.
  
Actual results: crash

Expected results: complete update

Additional info:
Comment 1 Brian DeFeyter 2004-02-26 22:00:27 EST
Also when trying to schedule a package update via RHN, the scheduled
action will fail with the following output:

Client execution returned "Fatal error in Python code occured [[6]]"
(code -1)

Comment 2 Adrian Likins 2004-04-05 16:11:04 EDT
Ahh. Easy workaround. Add a semicolon to the
end of the line for pkgsToInstallNotUpdate
in /etc/sysconfig/rhn/up2date

That is expected to be a list not a string
by the code. 

I'll take a look and see if I can make it
except either. 
Comment 3 Adrian Likins 2004-04-06 15:41:19 EDT
okay, 4.2.9 should handle this either way
Comment 4 Brian DeFeyter 2004-04-06 16:48:41 EDT
thank you

Note You need to log in before you can comment on or make changes to this bug.